/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.se.lifecycle.entity;

import lombok.Data;


/**
 * PC设备管理
 */
@Data
public class CdPcDevice
{

  /**
   * 主键id<br>
   */
  private String id;
  /**
   * 设备名称<br>
   */
  private String deviceName;
  /**
   * 设备域名<br>
   */
  private String domainName;
  /**
   * ip地址<br>
   */
  private String ipAddr;
  /**
   * mac地址<br>
   */
  private String macAddr;
  /**
   * 操作系统架构<br>
   */
  private String osArch;
  /**
   * 操作系统<br>
   */
  private String osName;
  /**
   * 内存容量<br>
   */
  private String ramSize;

  private String remoteProtocol;

  private String remotePort;
}
