package net.northking.cctp.scriptcase.api.scenescript.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(description = "场景脚本变量")
public class Variable {
    @ApiModelProperty("场景脚本变量名称")
    public String name;
    @ApiModelProperty("场景脚本变量描述")
    public String desc;
    @ApiModelProperty("场景脚本变量类型(int,float,string,json)")
    public String type;
    @ApiModelProperty("场景脚本变量值")
    public String value;
    @ApiModelProperty("场景脚本变量缺省值")
    public String defaultValue;
    @ApiModelProperty("场景脚本变量是否输入项,默认值为false")
    public boolean input;
    @ApiModelProperty("场景脚本变量是否输出项,默认值为false")
    public boolean output;
    @ApiModelProperty("场景脚本变量应用的节点")
    public List<String> nodeIds;
}
