/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.dao;

import net.northking.cctp.testbug.db.entity.BugRecord;
import net.northking.cctp.testbug.db.mapper.BugRecordMapper;
import net.northking.cctp.testbug.dto.BugRecordDetailDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：缺陷变更记录表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-10-08 15:56:45  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface BugRecordDao extends BugRecordMapper
{
    List<BugRecordDetailDto> queryByBugIds(@Param("bugIds") List<String> bugIds);

    void pubAdd(BugRecord bugRecordAddDto);

}
