/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.db.entity.ProgressChartPrepare;
import net.northking.cctp.dw.db.mapper.ProgressChartPrepareMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：进度图数据准备
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-30 16:06:16  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@Repository
public interface ProgressChartPrepareDao extends ProgressChartPrepareMapper {

    List<ProgressChartPrepare> queryToday(@Param("midProjectInfos") List<MidProjectInfo> midProjectInfos);

    Integer queryTodayDeleted(@Param("midProjectInfos") List<MidProjectInfo> dataList);

}
