DROP TABLE IF EXISTS `mt_case_exec_trend_chart`;
CREATE TABLE `mt_case_exec_trend_chart` (
	`id` VARCHAR(50) NOT NULL COMMENT '主键id' ,
	`tenant_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '租户id' ,
	`case_exec_all_amount` INT(11) NULL DEFAULT NULL COMMENT '执行用例总数量',
	`case_exec_amount` INT(11) NULL DEFAULT NULL COMMENT '已执行用例数量',
	`case_no_exec_amount` INT(11) NULL DEFAULT NULL COMMENT '未执行用例数量',
	`created_time` VARCHAR(50) NULL DEFAULT NULL COMMENT '创建时间' ,
	`project_id` VARCHAR(50) NULL DEFAULT NULL ,
	PRIMARY KEY (`id`) USING BTREE,
	INDEX `INDEX_TENANT` (`tenant_id`, `project_id`) USING BTREE
)
COMMENT='用例执行趋势图'
ENGINE=InnoDB
COLLATE='utf8mb4_bin'
ROW_FORMAT=DYNAMIC
;
--CREATE TABLE `mt_case_exec_trend_chart` (
--	`id` VARCHAR(50) NOT NULL COMMENT '主键id' COLLATE 'utf8_general_ci',
--	`tenant_id` VARCHAR(32) NULL DEFAULT NULL COMMENT '租户id' COLLATE 'utf8_general_ci',
--	`case_exec_all_amount` INT(11) NULL DEFAULT NULL COMMENT '执行用例总数量',
--	`case_exec_amount` INT(11) NULL DEFAULT NULL COMMENT '已执行用例数量',
--	`case_no_exec_amount` INT(11) NULL DEFAULT NULL COMMENT '未执行用例数量',
--	`created_time` VARCHAR(50) NULL DEFAULT NULL COMMENT '创建时间' COLLATE 'utf8_general_ci',
--	`project_id` VARCHAR(50) NULL DEFAULT NULL COLLATE 'utf8_general_ci',
--	PRIMARY KEY (`id`) USING BTREE,
--	INDEX `INDEX_TENANT` (`tenant_id`, `project_id`) USING BTREE
--)
--COMMENT='用例执行趋势图'
--COLLATE='utf8_general_ci'
--ENGINE=InnoDB
--ROW_FORMAT=DYNAMIC
--;
