/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.db.mapper;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.dataPool.db.entity.DataSetEnvRel;

/**
 * Mybatis数据库持久层（底层）：数据集环境关联表
 * <p>文件内容由代码生成器产生，请不要手动修改！
 * createdate:  2023-08-23 17:53:02  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface DataSetEnvRelMapper extends BasicDao<DataSetEnvRel>
{
  String EntityName = "DataSetEnvRel";

  String COLUMN_id = "id";
  String COLUMN_dataSetId = "data_set_id";
  String COLUMN_envId = "env_id";
  String COLUMN_tenantId = "tenant_id";
  String COLUMN_seq = "seq";
  String COLUMN_createdTime = "created_time";
  String COLUMN_createdBy = "created_by";
  String COLUMN_updatedTime = "updated_time";
  String COLUMN_updatedBy = "updated_by";
  String COLUMN_fileAddr = "file_addr";

}
