/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.dao;

import net.northking.cctp.executePlan.db.mapper.AtuPlanDeviceLinkMapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：计划设备关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-12-06 17:37:24  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface AtuPlanDeviceLinkDao extends AtuPlanDeviceLinkMapper
{
    /**
     * 根据计划ID查询设备ID集合
     * @param planId 计划ID
     * @return 设备ID集合
     */
    List<String> queryDeviceIdByPlanId(String planId);

    void deleteByPlanId(String planId);

}
