package net.northking.cctp.executePlan.dto.planSceneCase;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>Title: AtuSceneNodeExecDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/12/08
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */


@Data
public class AtuSceneNodeExecDto implements Serializable {

    /**
     * 任务ID
     */
    private String taskId;

    /**
     * 节点ID
     */
    private String nodeId;

    /**
     * 下一节点信息
     */
    private AtuSceneNodeInfoDto nodeInfo;

    /**
     * 是否结束
     */
    private Boolean end;

    /**
     * 任务状态 1-开始执行，2-执行成功，3-执行失败，4-断言失败，5-取消，6-超时
     */
    private String status;

    /**
     * 错误信息
     */
    private String message;

    /**
     * 场景文件信息
     */
    private String sceneScriptUrl;

}
