package net.northking.cctp.device.util.prometheus;

import lombok.Data;

import java.util.List;

@Data
public class PrometheusTargets {
    private String status;
    private TargetsData data;

    @Data
    public static class TargetsData{
        private List<ActiveTargets> activeTargets;
    }

    @Data
    public static class ActiveTargets{
        private DiscoveredLabels discoveredLabels;
        private String health; //down/up
        private Labels labels;
    }

    @Data
    public static class DiscoveredLabels{
        private String __address__;
        private String __metrics_path__;
        private String __http__;
        private String instance;
        private String job;
    }
    @Data
    public static class Labels{
        private String instance;
        private String job;
    }
}

