package net.northking.cctp.element.desktop.constants;

/**
 * <p>Title: RobotParamConstant</p>
 * <p>Description: 机器人参数常量</p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/10/20
 * <p>Copyright: NorthKing@RPA（C）2020 版权</p>
 */

public class RobotParamConstant {

    public static final String CMD = "cmd";

    public static final String SEQ_ID = "seqId";

    public static final String TITLE = "title";

    public static final String MAX_APP = "maxApp";

    public static final String ACCESSIBILITY = "accessibility";

    public static final String SELECTOR = "selector";

    public static final String IMG_URI = "imgUri";

    public static final String MATCHING_THRESHOLD = "matchingThreshold";

    public static final String OCR_TEXT = "ocrText";

    public static final String CASE_SENSITIVE = "caseSensitive";

    public static final String TOP_BOUND = "topBound";

    public static final String BOTTOM_BOUND = "bottomBound";

    public static final String RIGHT_BOUND = "rightBound";

    public static final String LEFT_BOUND = "leftBound";

    public static final String INDEX = "index";

    public static final String POINT_X = "pointX";

    public static final String POINT_Y = "pointY";

    public static final String MOUSE_BUTTON = "mouseButton";

    public static final String CLICK_TYPE = "clickType";

    public static final String OFFSET_X = "offsetX";

    public static final String OFFSET_Y = "offsetY";

    public static final String OFFSET_VALUE = "offsetValue";

    public static final String DIRECTION = "direction";

    public static final String SCROLL_TIME = "scrollTime";

    public static final String OFFSET_RATE_X = "offsetRateX";

    public static final String OFFSET_RATE_Y = "offsetRateY";

    public static final String TIMEOUT = "timeout";

    public static final String DELAY_BEFORE = "delayBefore";

    public static final String DELAY_AFTER = "delayAfter";

    public static final String INPUT_MODE = "inputMode";

    public static final String WAIT_FOR_READY = "waitForReady";

    public static final String COMBINATION_KEY = "combinationKey";

    public static final String TYPE_VALUE = "typeValue";

    public static final String EMPTY_FIELD = "emptyField";

    public static final String CLICK_BEFORE_TYPING = "clickBeforeTyping";

    public static final String DELAY_BETWEEN_KEYS = "delayBetweenKeys";

    public static final String TYPING_BY_DRIVER = "typingByDriver";

    public static final String ACTIVE_WINDOW = "activeWindow";

    public static final String TRIGGER_EVENT = "triggerEvent";

    public static final String SET_VALUE = "setValue";

    public static final String SELECTED_KEY = "selectedKey";

    public static final String BROWSER_TYPE = "browserType";

    public static final String URL = "url";

    public static final String PATH = "path";

    public static final String PARAMETER = "parameter";

    public static final String ACTION = "action";

    public static final String SELECTION = "selection";

    public static final String WORK_WAY = "workWay";

    public static final String CONTAIN_TEXT = "containText";

    public static final String COM_NAME = "comName";

    public static final String STOP_BIT = "stopBit";

    public static final String BAUD_RATE = "baudRate";

    public static final String DATA_BIT = "dataBit";

    public static final String CHECK_BIT = "checkBit";

    public static final String FORM_SELECTOR = "formSelector";

    public static final String SIMULATE_TYPE = "simulateType";

    public static final String USE_CLIENT = "useClient";

    public static final String TAB_URL = "tabUrl";

    public static final String TAB_TITLE = "tabTitle";

    public static final String USING_TYPE = "using_type";
}
