/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.common.config;

import net.northking.cctp.common.db.mode.NKDataSourceClusterProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

/**
 * 启用: 数据库读写分离模式
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Documented
@Import({NKDataSourceClusterProperties.class, NKDataSourceClusterConfiguration.class})
@Configuration
public @interface EnableNKDataSourceCluster
{
}
