drop table if exists sp_def_process;

CREATE TABLE `sp_def_process` (
  `id` varchar(32) CHARACTER SET utf8 NOT NULL COMMENT '主键',
  `is_enabled` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否启用',
  `is_deleted` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否已删除',
  `created_by` varchar(32) CHARACTER SET utf8 DEFAULT NULL COMMENT '创建人',
  `created_time` datetime DEFAULT NULL COMMENT '创建时间',
  `updated_by` varchar(32) CHARACTER SET utf8 DEFAULT NULL COMMENT '更新人',
  `updated_time` datetime DEFAULT NULL COMMENT '更新时间',
  `name` varchar(128) CHARACTER SET utf8 NOT NULL COMMENT '状态流程名称',
  `memo` varchar(512) CHARACTER SET utf8 DEFAULT '' COMMENT '详细描述',
  `is_allowed_any_to_any` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否允许AnyToAny',
  `is_used_enum_state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否使用枚举状态',
  `catalog_code` varchar(32) CHARACTER SET utf8 NOT NULL COMMENT '状态类目代码',
  `is_used_data` tinyint(1) DEFAULT NULL COMMENT '是否启用数据对象',
  `is_can_modify` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否可以编辑',
  `is_defaulted` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否默认',
  `tenant_id` varchar(32) CHARACTER SET utf8 NOT NULL DEFAULT 'NK' COMMENT '租户',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='状态流程定义';
