/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.dao;

import net.northking.cctp.dw.db.mapper.DwAtuCaseDesignMapper;
import net.northking.cctp.dw.dto.atu.DwAtuCaseDesignDetailDto;
import net.northking.cctp.dw.dto.atu.DwAtuCaseDesignQueryDto;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mybatis数据库持久层（业务层）：自动化用例设计同步表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-11-25 11:15:19  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Repository
public interface DwAtuCaseDesignDao extends DwAtuCaseDesignMapper
{
    List<DwAtuCaseDesignDetailDto> countByGroup(DwAtuCaseDesignQueryDto query);

    // ----      The End by Generator     ----//

}
